You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@kylin.apache.org by lu...@apache.org on 2015/07/21 10:05:36 UTC

[30/50] [abbrv] incubator-kylin git commit: kylin-792 , add sh to run kylin performance monitor

kylin-792 ,add sh to run kylin performance monitor


Project: http://git-wip-us.apache.org/repos/asf/incubator-kylin/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-kylin/commit/5cc130d3
Tree: http://git-wip-us.apache.org/repos/asf/incubator-kylin/tree/5cc130d3
Diff: http://git-wip-us.apache.org/repos/asf/incubator-kylin/diff/5cc130d3

Branch: refs/heads/master
Commit: 5cc130d3c77b4eca50aa4110413180079277ae84
Parents: a935c7b
Author: jiazhong <ji...@ebay.com>
Authored: Fri Jul 3 17:42:50 2015 +0800
Committer: jiazhong <ji...@ebay.com>
Committed: Fri Jul 3 17:42:50 2015 +0800

----------------------------------------------------------------------
 bin/performance-monitor.sh                      | 38 ++++++++++++++++++++
 .../org/apache/kylin/monitor/QueryParser.java   |  2 +-
 2 files changed, 39 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-kylin/blob/5cc130d3/bin/performance-monitor.sh
----------------------------------------------------------------------
diff --git a/bin/performance-monitor.sh b/bin/performance-monitor.sh
new file mode 100644
index 0000000..9004c02
--- /dev/null
+++ b/bin/performance-monitor.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+    if [ -z "$KYLIN_HOME" ]
+    then
+        echo 'please make sure KYLIN_HOME has been set'
+        exit 1
+    else
+        echo "KYLIN_HOME is set to ${KYLIN_HOME}"
+    fi
+
+    dir=$(dirname ${0})
+
+    #retrive $hive_dependency and $hbase_dependency
+    source ${dir}/find-hive-dependency.sh
+    source ${dir}/find-hbase-dependency.sh
+
+    export HBASE_CLASSPATH=$hive_dependency:${HBASE_CLASSPATH}
+    _monitorjar=`ls ${KYLIN_HOME}/lib |grep kylin-monitor`
+
+    hbase \
+    org.apache.hadoop.util.RunJar $KYLIN_HOME/lib/${_monitorjar} org.apache.kylin.monitor.Client
+    exit 0
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/incubator-kylin/blob/5cc130d3/monitor/src/main/java/org/apache/kylin/monitor/QueryParser.java
----------------------------------------------------------------------
diff --git a/monitor/src/main/java/org/apache/kylin/monitor/QueryParser.java b/monitor/src/main/java/org/apache/kylin/monitor/QueryParser.java
index fc8a403..8b910a8 100644
--- a/monitor/src/main/java/org/apache/kylin/monitor/QueryParser.java
+++ b/monitor/src/main/java/org/apache/kylin/monitor/QueryParser.java
@@ -235,7 +235,7 @@ public class QueryParser {
      */
     public FileSystem getHdfsFileSystem() throws IOException {
         Configuration conf = new Configuration();
-        conf.set("dfs.client.block.write.replace-datanode-on-failure.policy", "NEVER");
+//        conf.set("dfs.client.block.write.replace-datanode-on-failure.policy", "NEVER");
         FileSystem fs = null;
         try {
             fs = FileSystem.get(conf);